Get all canvases
curl --request GET \
--url https://api.vantage.sh/v2/canvases \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/canvases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/canvases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"canvases": [
{
"token": "cnvs_abcd1234567890",
"title": "Weekly Spend by Team",
"prompt": "<string>",
"workspace_token": "wrkspc_abcd1234567890",
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z",
"data": {
"table": {},
"error": "<string>"
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}Canvases
Get all canvases
Return all Canvases.
GET
/
canvases
Get all canvases
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The page of results to return.
The amount of results to return. The maximum is 1000.
⌘I